#
# spec file for package osc-plugin-overview
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


BuildRequires:  osc
BuildRequires:  python
Name:           osc-plugin-overview
Version:        0.4.0+git.1500975670.b4db6d4
Release:        1.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Summary:        Plugins for the osc tool to assist comparing versions across repositories
License:        GPL-2.0+
Group:          Development/Tools/Other
Url:            https://en.opensuse.org/openSUSE:OSC_overview_plugin
BuildArch:      noarch
Requires:       osc

%description
This package is a collection of osc plugins to assist comparison of build service
repositories against other repositories or even upstream repositories.

See https://en.opensuse.org/openSUSE:OSC_overview_plugin for an idea of what we are trying to achieve and http://en.opensuse.org/Build_Service/CLI for general information about osc.

%prep
%setup -q

%build
cd src
python setup.py build

%install
cd src
%{__mkdir_p} %{buildroot}/%{python_sitelib}/oscpluginoverview
python setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%{__mkdir_p} %{buildroot}/var/lib/osc-plugins
%{__install} overview.py %{buildroot}/var/lib/osc-plugins

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
#% doc README AUTHORS NEWS COPYING
%{python_sitelib}/*.egg-info
%dir %{python_sitelib}/oscpluginoverview
%{python_sitelib}/oscpluginoverview/*

/var/lib/osc-plugins/*.py

%changelog
* Tue Jul 25 2017 dmacvicar@suse.de
- update to current git
- add _service file for easy updates
* Sat Mar 25 2017 davejplater@gmail.com
- Fix boo#1030940 with osc-plugin-overview-importcmdln.patch
* Wed Apr 30 2014 aspiers@suse.com
- standardize spec file and fix URL
- switch to noarch, and fix x86_64 builds
* Mon Aug  3 2009 dmacvicar@novell.com
- release 0.3
- follow links to a package with different package  name.
- adapt to changed API to retrieve submitrequests.
- support 'changes=1' in ini-inifile to print changelogs per section
  (like -c)
- osc no longer takes the md5 as revision.
- cleanup changelog diff temp files
- suppress changelog diff if source does not provide changes
  ( like obssr)
- let changes diff consider only repos that actually provide changes.
* Wed Apr 15 2009 dmacvicar@suse.de
- new release 0.2
- support for freshmeat sources
- change syntax of package macros to *x
  now *2 means packages from source 2 and
  $2 means source 2.
- add patchinfo and changelog generation (alpha)
- smarter version comparision when version is the same
* Mon Apr  6 2009 dmacvicar@suse.de
- initial package
